const system = require("../../../system");
const ServiceBase = require("../../sve.base")

/**
 * 订单产品表
 */
class OprocessService extends ServiceBase {
  constructor() {
    super("product", ServiceBase.getDaoName(OprocessService));
  }

  async allNames() {
    let all = await this.dao.getAll("status, name");
    return system.getResultSuccess(all);
  }
}

module.exports = OprocessService;